Loading...
Searching...
No Matches
casacore::StringFITSFieldCopier Class Reference
FITS_module_internal_classes

A FITSFieldCopier for copying String RecordFields to FitsFields. More...

`#include <FITSFieldCopier.h>`

## Public Member Functions

| StringFITSFieldCopier (RORecordFieldPtr< String > *rptr, FitsField< char > *fptr)
virtual void | copyToFITS ()
| Copy the current contents of the input RORecordFieldPtr to the output FitsField.
| ~StringFITSFieldCopier ()
Public Member Functions inherited from casacore::FITSFieldCopier
virtual | ~FITSFieldCopier ()
| destructor

## Private Member Functions

| StringFITSFieldCopier (const StringFITSFieldCopier &other)
| Undefined and inaccessible.
StringFITSFieldCopier & | operator= (const StringFITSFieldCopier &other)

## Private Attributes

RORecordFieldPtr< String > * | rec_p
FitsField< char > * | fits_p

## Detailed Description

A FITSFieldCopier for copying String RecordFields to FitsFields.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- RORecordField
- FitsFields

### Etymology

### Synopsis

### Example

### Motivation

### Thrown Exceptions

### To Do

- actually document this

Definition at line 177 of file FITSFieldCopier.h.

## Constructor & Destructor Documentation

## StringFITSFieldCopier() [1/2]

casacore::StringFITSFieldCopier::StringFITSFieldCopier | ( | RORecordFieldPtr< String > * | rptr,
|  | FitsField< char > * | fptr )

inline

Definition at line 180 of file FITSFieldCopier.h.

References fits_p, and rec_p.

Referenced by operator=(), and StringFITSFieldCopier().

## ~StringFITSFieldCopier()

casacore::StringFITSFieldCopier::~StringFITSFieldCopier | ( |  | ) |

inline

Definition at line 198 of file FITSFieldCopier.h.

References fits_p, and rec_p.

## StringFITSFieldCopier() [2/2]

casacore::StringFITSFieldCopier::StringFITSFieldCopier | ( | const StringFITSFieldCopier & | other | ) |

private

Undefined and inaccessible.

References StringFITSFieldCopier().

## Member Function Documentation

## copyToFITS()

virtual void casacore::StringFITSFieldCopier::copyToFITS | ( |  | ) |

inline virtual

Copy the current contents of the input RORecordFieldPtr to the output FitsField.

Implements casacore::FITSFieldCopier.

Definition at line 184 of file FITSFieldCopier.h.

References fits_p, and casacore::length().

## operator=()

StringFITSFieldCopier & casacore::StringFITSFieldCopier::operator= | ( | const StringFITSFieldCopier & | other | ) |

private

References StringFITSFieldCopier().

## Member Data Documentation

## fits_p

FitsField<char>* casacore::StringFITSFieldCopier::fits_p

private

Definition at line 201 of file FITSFieldCopier.h.

Referenced by copyToFITS(), StringFITSFieldCopier(), and ~StringFITSFieldCopier().

## rec_p

RORecordFieldPtr<String>* casacore::StringFITSFieldCopier::rec_p

private

Definition at line 200 of file FITSFieldCopier.h.

Referenced by StringFITSFieldCopier(), and ~StringFITSFieldCopier().

The documentation for this class was generated from the following file:

- fits/FITS/FITSFieldCopier.h